<template>
    <AdminPage v-if="account.user.isAdmin === 1"/>
    <UserPage v-else-if="account.user.isAdmin === 0"/>
</template>

<script>
    import {mapState} from 'vuex'
    import UserPage from '../components/UserPage'
    import AdminPage from '../components/AdminPage'
    export default {

        name: 'Homepage',
        props: {
            msg: String
        },
      components:{
        AdminPage, UserPage
      },
        computed: {
            ...mapState({
                account: state => state.account,
            })
        }
    }
</script>
